> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get generation capabilities



## OpenAPI

````yaml api-reference/openapi.json get /{character_id}/generation/capabilities
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /{character_id}/generation/capabilities:
    get:
      tags:
        - Generation
      summary: Get generation capabilities
      operationId: getGenerationCapabilities
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Capability flags for the character.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationCapabilitiesResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    GenerationCapabilitiesResponse:
      type: object
      properties:
        character_id:
          type: string
        face_lora:
          type: object
          properties:
            status:
              type: string
            available:
              type: boolean
            url:
              type:
                - string
                - 'null'
              format: uri
        body_lora:
          type: object
          properties:
            status:
              type: string
            available:
              type: boolean
            url:
              type:
                - string
                - 'null'
              format: uri
        can_generate:
          type: boolean
        generation_ready:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````